import { defineConfig } from 'astro/config';
import tailwind from '@astrojs/tailwind';
import mdx from '@astrojs/mdx';
import autoImport from 'astro-auto-import';
import react from '@astrojs/react';

// https://astro.build/config
export default defineConfig({
  trailingSlash: 'never',
  output: 'static',
  build: {
    format: 'file'
  },
  compressHTML: false,
  integrations: [
    tailwind({
      applyBaseStyles: false
    }),
    autoImport({
      imports: ['./src/components/Score.astro']
    }),
    mdx(),
    react()
  ],
});
